<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">


<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content=""/>
    <meta name="keywords" content=""/>
    <title>Narnia</title>

    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
    <link rel="stylesheet" href="/css/main.min.css">
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="/css/color.css">
    <link rel="stylesheet" href="/css/responsive.css">

</head>
<body sec:authorize="hasRole('ROLE_ADMIN') or isAuthenticated() ">
<div class="theme-layout">
    <div class="topbar stick">
        <div class="logo" id="narnialogo">
            <a title=""><img src="/images/Narnia-Logo2.jpg" alt=""></a>
        </div>
        <div class="top-area">
            <ul class="main-menu">
                <li>
                    <a href="#" title="">timeline</a>
                    <ul>
                        <li><a href="/timeline" title="">timeline</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">World Hottest</a>
                    <ul>
                        <li><a href="/hot" title="">world hottest</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">profile page</a>
                    <ul>
                        <li><a th:href="@{/profile}" title="">go to profile page</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">account settings</a>
                    <ul>
                        <li><a th:href="@{/profile/{id}/edit-password(id=${loggedUser.id})}" title="">edit-password</a>
                        </li>
                        <li><a th:href="@{/profile/{id}/edit-profile(id=${loggedUser.id})}" title="">edit profile
                            basics</a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">more pages</a>
                    <ul>
                        <li><a th:href="@{/about}" title="">about</a></li>
                    </ul>
                </li>

            </ul>
            <ul class="setting-area" id="settingstopbar">
                <li>
                    <a title="Search" data-ripple=""><i class="ti-search" id="searchicon"></i></a>
                    <div class="searched">
                        <form method="post" class="form-search">
                            <input type="text" class="search-input" id="search-input" placeholder="Search User">
                            <button data-ripple><i class="ti-search"></i></button>
                            <div class="results-list" id="results-list">

                            </div>
                        </form>
                    </div>
                </li>
                <li>
                    <a title="Notification" id="notiicon" data-ripple="">
                        <i class="ti-bell"></i><span th:text="${loggedUser.getReceivedRequests().size()}"></span>
                    </a>
                    <div class="dropdowns">
                        <ul class='mesg-meta' id="requests">
                        </ul>
                    </div>
                </li>
            </ul>
        </div>
    </div><!-- topbar -->
    <section>
        <div class="feature-photo">
            <figure>
                <img th:src="@{'data:image/png;base64,'+${user.generateCoverPhoto()}}" src="" alt="" id="coverphoto">
            </figure>
            <div class="add-btn" id="friendrq">
                <td th:if="${loggerFriendExist}==null and ${userFriendExist}==null and ${loggerRequests==null}">
                    <a title="" id="a-text"><input type="hidden" id="receiver-id" th:value="${user.getId()}">Add Friend</a>
                </td>
            </div>
            <div class="del-btn">
                <td th:unless="${loggerFriendExist}==null and ${userFriendExist}==null">
                    <a title="" id="aa-text"><input type="hidden" id="receiver-id2" th:value="${user.getId()}">Delete
                        Friend</a>
                </td>
            </div>
            <div class="container-fluid">
                <div class="row merged">
                    <div class="col-lg-2 col-sm-3" id="profpict"
                         th:if="${user.getPrivacy()}==${public} or ${loggerFriendExist}!=null and ${userFriendExist}!=null ">
                        <div class="user-avatar" id="profavtr">
                            <figure>
                                <img class="image"
                                     th:src="@{'data:image/png;base64,'+${user.generateProfilePhoto()}}"
                                     alt="" src="">
                            </figure>
                        </div>
                    </div>
                    <div class="col-lg-10 col-sm-9">
                        <div class="timeline-info">
                            <ul>
                                <li class="admin-name">
                                    <h5 th:text="${user.getFirstName()} + ' ' + ${user.getLastName()}"></h5>
                                    <span>
                                    </span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section><!-- top area -->
    <section>
        <div class="gap gray-bg" id="profile">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="row" id="page-contents">
                            <div class="col-lg-3">
                                <aside class="sidebar static">
                                    <div class="widget"
                                         th:if="${user.getPrivacy()}==${public} or ${loggerFriendExist}!=null and ${userFriendExist}!=null ">
                                        <h4 class="widget-title">Basic Info</h4>
                                        <ul class="naves">
                                            <li>
                                                <h5 th:text="Name+': ' +${user.getFirstName()} + ' ' + ${user.getLastName()}"></h5>
                                            </li>
                                            <li>
                                                <td th:if="${user.getAddress()==null}">
                                                    <h5 th:text="Address+': ' + 'Not provided'"></h5>
                                                </td>
                                                <td th:unless="${user.getAddress()==null}">
                                                    <h5 th:text="Address+': ' +${user.getAddress()}"></h5>
                                                </td>
                                            </li>
                                            <li>
                                                <td th:if="${user.getAge()==0}">
                                                    <h5 th:text="Age+': ' + 'Not provided'"></h5>
                                                </td>
                                                <td th:unless="${user.getAge()==0}">
                                                    <h5 th:text="Age+': ' +${user.getAge()}"></h5>
                                                </td>
                                            </li>
                                            <li>
                                                <td th:if="${user.getEducation()==null}">
                                                    <h5 th:text="Education+': ' +'Not provided'"></h5>
                                                </td>
                                                <td th:unless="${user.getEducation()==null}">
                                                    <h5 th:text="Education+': ' +${user.getEducation()}"></h5>
                                                <td>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="widget">
                                        <h4 class="widget-title">Shortcuts</h4>
                                        <ul class="naves">
                                            <li>
                                                <i class="ti-clipboard"></i>
                                                <a href="/timeline" title="">News feed</a>
                                            </li>
                                            <li>
                                                <i class="ti-bell"></i>
                                                <a href="/hot" title="">Hot</a>
                                            </li>
                                            <li>
                                                <i class="ti-power-off" sec:authorize="isAuthenticated()"></i>
                                                <a class="active">
                                                    <form th:action="@{/logout}" sec:authorize="isAuthenticated()"
                                                          method="post">
                                                        <input id="lgout" type="submit" value="Logout"/>
                                                    </form>
                                                </a>
                                            </li>
                                        </ul>
                                    </div><!-- Shortcuts -->
                                </aside>
                            </div><!-- sidebar -->
                            <div class="col-lg-6">
                                <div class="central-meta">
                                    <div class="new-postbox">


                                        <div class="loadMore" id="posts">
                                            <input type="hidden" th:value="${user.getId()}" id="userId">
                                            <input type="hidden" th:value="${loggedUser.getId()}" id="logged-user">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <aside class="sidebar static">
                                    <div class="widget friend-list stick-widget">
                                        <h4 class="widget-title">Friends</h4>
                                        <div id="searchDir"></div>
                                        <ul id="people-list" class="friendz-list"
                                            th:each="friend:${user.getSenderFriends()}">
                                            <li>
                                                <figure>
                                                    <img th:src="@{'data:image/png;base64,'+${friend.getReceiver().generateProfilePhoto()}}"
                                                         src="" alt="">
                                                </figure>
                                                <div class="friendz-meta">
                                                    <a th:text="${friend.getReceiver().firstName} +' '+ ${friend.getReceiver().lastName}"
                                                       th:href="@{/profile/{id}(id=${friend.getReceiver().getId()})}"> </a>
                                                </div>
                                            </li>
                                        </ul>
                                    </div><!-- friends list sidebar -->
                                </aside>
                            </div>
                            <!-- sidebar -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div><!-- side panel -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
<script src="/js/main.min.js"></script>
<script src="/js/script.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
<script src="/js/profile-others.js"></script>
<script src="/js/main-js.js"></script>
</body>

</html>